Skip to content

Disable visibility in all workspaces.

POST
/api/discovery/namespaces/{namespace}/discovered_services/{name}/disable_visibility
curl --request POST \
--url https://example-corp.console.ves.volterra.io/api/v1/api/production/us-east-1/namespaces/default/api/discovery/namespaces/example/discovered_services/example/disable_visibility \
--header 'Authorization: <Authorization>' \
--header 'Content-Type: application/json' \
--data '{ "name": "example", "namespace": "example" }'

Disable Visibility of the service in all workspaces. This will remove the discovered service from being visible in other wokspaces like WAAP.

Examples of this operation.

namespace
required
string

Namespace x-required Namespace of the discovered service for current request.

name
required
string

Service Name x-required Identifies the discovered service name.

Media typeapplication/json
DisableVisibilityRequest

Disable visibility on the discovered service.

object
name
Service Name

Identifies the discovered service name Required: YES.

string
>= 6 characters <= 1024 characters
namespace
Namespace

Namespace of the discovered service for current request Required: YES.

string
>= 6 characters <= 1024 characters
Examplegenerated
{
"name": "example",
"namespace": "example"
}

A successful response.

Media typeapplication/json
DisableVisibilityResponse

Response to the Disable Visibility request.

object
Examplegenerated
{}

Returned when operation is not authorized.

Media typeapplication/json
string format: string
Examplegenerated
example

Returned when there is no permission to access resource.

Media typeapplication/json
string format: string
Examplegenerated
example

Returned when resource is not found.

Media typeapplication/json
string format: string
Examplegenerated
example

Returned when operation on resource is conflicting with current value.

Media typeapplication/json
string format: string
Examplegenerated
example

Returned when operation has been rejected as it is happening too frequently.

Media typeapplication/json
string format: string
Examplegenerated
example

Returned when server encountered an error in processing API.

Media typeapplication/json
string format: string
Examplegenerated
example

Returned when service is unavailable temporarily.

Media typeapplication/json
string format: string
Examplegenerated
example

Returned when server timed out processing request.

Media typeapplication/json
string format: string
Examplegenerated
example